Bug 1565479 - no time for updated-at field
Summary: no time for updated-at field
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-api
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.4.0
Assignee: Shirshendu Mukherjee
QA Contact: Filip Balák
URL:
Whiteboard:
Depends On:
Blocks: 1503137
TreeView+ depends on / blocked
 
Reported: 2018-04-10 06:14 UTC by Lubos Trilety
Modified: 2018-09-04 07:04 UTC (History)
6 users (show)

Fixed In Version: tendrl-commons-1.6.3-3.el7rhgs
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 07:03:46 UTC
Target Upstream Version:


Attachments (Terms of Use)
completed/processing times (79.42 KB, image/png)
2018-04-10 06:14 UTC, Lubos Trilety
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github Tendrl commons pull 936 0 None None None 2018-04-24 11:33:02 UTC
Red Hat Product Errata RHSA-2018:2616 0 None None None 2018-09-04 07:04:50 UTC

Description Lubos Trilety 2018-04-10 06:14:25 UTC
Created attachment 1419696 [details]
completed/processing times

Description of problem:
For any profiling task api dooesn't provide updated_at field, which leads to
01 Jan 1970 01:00:00
completed or processing time on UI side.

Example of API response:
job_id	3095ab37-f57d-43a3-949f-86140f0f6cb3
status	finished
flow	EnableDisableVolumeProfiling
parameters	{…}
created_at	2018-04-09T12:00:09Z
updated_at	null
status_url	/jobs/3095ab37-f57d-43a3-949f-86140f0f6cb3/status
messages_url	/jobs/3095ab37-f57d-43a3-949f-86140f0f6cb3/messages
output_url	/jobs/3095ab37-f57d-43a3-949f-86140f0f6cb3/output
errors	null


Version-Release number of selected component (if applicable):
tendrl-ansible-1.6.1-3.el7rhgs.noarch
tendrl-ui-1.6.1-3.el7rhgs.noarch
tendrl-selinux-1.5.4-2.el7rhgs.noarch
tendrl-commons-1.6.1-3.el7rhgs.noarch
tendrl-api-1.6.1-3.el7rhgs.noarch
tendrl-api-httpd-1.6.1-3.el7rhgs.noarch
tendrl-monitoring-integration-1.6.1-3.el7rhgs.noarch
tendrl-grafana-selinux-1.5.4-2.el7rhgs.noarch
tendrl-notifier-1.6.0-1.el7rhgs.noarch
tendrl-node-agent-1.6.1-3.el7rhgs.noarch
tendrl-grafana-plugins-1.6.1-3.el7rhgs.noarch

How reproducible:
100%

Steps to Reproduce:
1. Import cluster
2. Enable/disable profiling for a volume/cluster
3.

Actual results:
The Completed/Processing time displayed on UI is as follows
01 Jan 1970 01:00:00

Expected results:
There should be some correct time displayed.

Additional info:
See profiling tasks times on attached screenshot

Comment 1 Martin Bukatovic 2018-04-13 16:08:39 UTC
This affects Expand operation as well, as can be seen in screenshot 5 in BZ 1566181:

https://bugzilla.redhat.com/attachment.cgi?id=1420507

Comment 3 Nishanth Thomas 2018-04-21 04:11:43 UTC
@shubhendu, does this field populated in etcd

Comment 7 gowtham 2018-04-24 11:33:19 UTC
This is fixed

Comment 9 Filip Balák 2018-05-18 10:22:25 UTC
This seems to be fixed for profiling and expand related tasks. --> VERIFIED

Tested with:
tendrl-ansible-1.6.3-3.el7rhgs.noarch
tendrl-api-1.6.3-3.el7rhgs.noarch
tendrl-api-httpd-1.6.3-3.el7rhgs.noarch
tendrl-commons-1.6.3-4.el7rhgs.noarch
tendrl-grafana-plugins-1.6.3-2.el7rhgs.noarch
tendrl-grafana-selinux-1.5.4-2.el7rhgs.noarch
tendrl-monitoring-integration-1.6.3-2.el7rhgs.noarch
tendrl-node-agent-1.6.3-4.el7rhgs.noarch
tendrl-notifier-1.6.3-2.el7rhgs.noarch
tendrl-selinux-1.5.4-2.el7rhgs.noarch
tendrl-ui-1.6.3-1.el7rhgs.noarch

Comment 11 errata-xmlrpc 2018-09-04 07:03:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2616


Note You need to log in before you can comment on or make changes to this bug.